<!--    
    var autoParamData=new Array(     
        '<a href="javascript:void(\"删除\");" onclick="deleteParam(this);" title="删除">[-]</a><input name="paramId" value="0" type="hidden" />&nbsp;名称：<input size="16" name="paramName" onblur="checkIsName(this);" />',   
        '排序：<input type="text" size="4" maxlength="4" name="paramOrder" onblur="checkIsNumber(this);"/>',
        '备选值：<input type="text" size="30" name="paramValue" onblur="checkIsValue(this);"/>'
    );  
    var autoContentData=new Array(     
        '<a href="javascript:void(\"删除\");" onclick="deleteContent(this);" title="删除">[-]</a><input name="contentId" value="0" type="hidden" />&nbsp;名称：<input size="16" name="contentName" onblur="checkIsName(this);" />',   
        '排序：<input type="text" size="4" maxlength="4" name="contentOrder" onblur="checkIsNumber(this);"/>'
    ); 
    function getTagElements(tag, name, value)
    {   
        var arr = new Array(); 
        var elem = document.getElementsByTagName(tag);
        if(elem!=null)
        {   
            if(name!='')
            {
                for(i = 0,iarr = 0; i < elem.length; i++) {
                    var att = elem[i].getAttribute(name);
                    if(att!=null && att == value) {
                         arr[iarr] = elem[i];
                         iarr++;
                    }
                }
            }
            else
            {
                arr=elem;
            }
        }
        return arr;
    }
    function checkIsNameExists(txtName,name)
    {
        var objs=getTagElements('input','name',txtName);
        var rValue=false;
        if(objs!=null)
        {
            for(var i=0;i<objs.length;i++)
            {
                if(objs[i].value==name)
                {
                    rValue=true;
                    break;
                }
            }
        }
        return rValue;
    }
    function checkIsNumber(obj)
    {
        if(obj!=null && obj.type=="text")
        {
            var r=/[^-\d]*([-]?[\d]*)[\D]*/; 
            var value=obj.value;
            var P=value.match(r);
            obj.value=(P[1]==null || P[1]=='-' || P[1]=='')?'0':P[1];
        }
    }
    function checkIsName(obj)
    {
        if(obj!=null && obj.type=="text")
        {
            var value=obj.value;
            obj.value='';
            if(value!=null)
            {                
                //允许数字，26英文字母，下划线，单引号，空格的英文编码字符，和其他所有双字节字符
                value=value.replace(/[\x00-\x1f\x21-\x26\x28-\x2f\x3a-\x40\x5b-\x60\x7b-\xff]{2,20}/g,'');
                value=value.replace(/(^\s*)|(\s*$)/g,'');
                value=value.length>20?value.substr(0,20):value;    
                if(value!='' && (checkIsNameExists('paramName',value) || checkIsNameExists('contentName',value)))
                {
                    value='';
                }          
            }
            obj.value=value;
        }
    }
    function checkIsValue(obj)
    {
        if(obj!=null && obj.type=="text")
        {
            var value=obj.value;
            if(value!=null)
            {                
                var values=value.split('|');                
                if(values==null|| values.length==0) values[0]=value;
                value='|';
                for(var i=0;i<values.length;i++)
                {
                    //允许数字，26英文字母，下划线，单引号，空格的英文编码字符，和其他所有双字节字符
                    //var v=values[i].replace(/[\x00-\x1f\x21-\x26\x28-\x2f\x3a-\x40\x5b-\x60\x7b-\xff]*/g,'');
                    var v=values[i];
                    v=v.replace(/(^\s*)|(\s*$)/g,'');
                    v=v.replace(/[,]/g,'，');
                    v=v.length>255?v.substr(0,255):v;  
                    if(v!='' && value.indexOf('|' + v + '|')==-1)
                    {
                        value+=v + '|';
                    }                     
                }    
            }
            obj.value=(value=='|')?'':(value=='||'?'':value);
        }
    }
    function deleteParam(obj)
    {
        var objTable=document.getElementById("paramTable");
        var objTR=obj.parentNode.parentNode;
        if(objTable!=null && objTR!=null)
        {
            if(confirm("删除扩展参数之后将不能恢复，确认要删除吗？"))
            {
                var rowIndex=objTR.rowIndex;
                if(rowIndex!=-1)
                {
                    objTable.deleteRow(rowIndex);   
                }
            }
        }        
    }    
    function addParam()
    {
        var objTable=document.getElementById("paramTable");
       
        if(objTable!=null)
        {
            var objTR=objTable.insertRow(objTable.rows.length);  
            for(var i=0;i<autoParamData.length;i++){   
                objTD=objTR.insertCell(-1); 
                objTD.innerHTML=autoParamData[i];   
            }              
        }        
    }  
    function deleteContent(obj)
    {
        var objTable=document.getElementById("contentTable");
        var objTR=obj.parentNode.parentNode;
        if(objTable!=null && objTR!=null)
        {
            if(confirm("删除扩展内容之后将不能恢复，确认要删除吗？"))
            {
                var rowIndex=objTR.rowIndex;
                if(rowIndex!=-1)
                {
                    objTable.deleteRow(rowIndex);   
                }
            }
        }        
    }
    function addContent()
    {
        var objTable=document.getElementById("contentTable");
       
        if(objTable!=null)
        {
            var objTR=objTable.insertRow(objTable.rows.length);  
            for(var i=0;i<autoContentData.length;i++){   
                objTD=objTR.insertCell(-1); 
                objTD.innerHTML=autoContentData[i];   
            }              
        }        
    }
-->
